File gcsdk-gsutil-hide-deps.patch of Package google-cloud-sdk.4873

--- platform/gsutil/setup.py.orig
+++ platform/gsutil/setup.py
@@ -34,34 +34,34 @@ management tasks, including:
  * Editing object and bucket ACLs.
 """
 
-requires = [
-    'boto==2.42.0',
-    'crcmod>=1.7',
-    'gcs-oauth2-boto-plugin>=1.14',
-    'google-apitools==0.5.3',
-    'httplib2>=0.8',
-    'oauth2client==2.2.0',
-    'pyOpenSSL>=0.13',
-    'python-gflags>=2.0',
-    'retry_decorator>=1.0.0',
-    'six>=1.9.0',
-    # Not using 1.02 because of:
-    #   https://code.google.com/p/socksipy-branch/issues/detail?id=3
-    'SocksiPy-branch==1.01',
-    # TODO: Sync submodule with tag referenced here once #339 is fixed in mock.
-    'mock==2.0.0',
-]
-
-dependency_links = [
-    # Note: this commit ID should be kept in sync with the 'third_party/boto'
-    # entry in 'git submodule status'.
-    # pylint: disable=line-too-long
-    'https://github.com/boto/boto/archive/62fa79abea1f281bb15cd27ff8081fd6c5492c31.tar.gz#egg=boto-2.42.0',
-    # pylint: enable=line-too-long
-]
+#requires = [
+#    'boto==2.42.0',
+#    'crcmod>=1.7',
+#    'gcs-oauth2-boto-plugin>=1.14',
+#    'google-apitools==0.5.3',
+#    'httplib2>=0.8',
+#    'oauth2client==2.2.0',
+#    'pyOpenSSL>=0.13',
+#    'python-gflags>=2.0',
+#    'retry_decorator>=1.0.0',
+#    'six>=1.9.0',
+#    # Not using 1.02 because of:
+#    #   https://code.google.com/p/socksipy-branch/issues/detail?id=3
+#    'SocksiPy-branch==1.01',
+#    # TODO: Sync submodule with tag referenced here once #339 is fixed in mock.
+#    'mock==2.0.0',
+#]
+
+#dependency_links = [
+#    # Note: this commit ID should be kept in sync with the 'third_party/boto'
+#    # entry in 'git submodule status'.
+#    # pylint: disable=line-too-long
+#    'https://github.com/boto/boto/archive/62fa79abea1f281bb15cd27ff8081fd6c5492c31.tar.gz#egg=boto-2.42.0',
+#    # pylint: enable=line-too-long
+#]
 
 CURDIR = os.path.abspath(os.path.dirname(__file__))
-BOTO_DIR = os.path.join(CURDIR, 'third_party', 'boto')
+#BOTO_DIR = os.path.join(CURDIR, 'third_party', 'boto')
 
 with open(os.path.join(CURDIR, 'VERSION'), 'r') as f:
   VERSION = f.read().strip()
@@ -124,7 +124,7 @@ class CustomBuildPy(build_py.build_py):
 
   def run(self):
     if not self.dry_run:
-      PlaceNeededFiles(self, self.build_lib)
+#      PlaceNeededFiles(self, self.build_lib)
       build_py.build_py.run(self)
 
 
@@ -169,10 +169,10 @@ setup(
             'gsutil = gslib.__main__:main',
         ],
     },
-    install_requires=requires,
-    dependency_links=dependency_links,
+#    install_requires=requires,
+#    dependency_links=dependency_links,
     cmdclass={
         'build_py': CustomBuildPy,
-        'sdist': CustomSDist,
+#        'sdist': CustomSDist,
     }
 )
openSUSE Build Service is sponsored by